<xsl:stylesheet  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				 xmlns:xt="http://www.jclark.com/xt"
				 xmlns:office="http://openoffice.org/2000/office"
				 xmlns:style="http://openoffice.org/2000/style"
				 xmlns:text="http://openoffice.org/2000/text"
				 xmlns:table="http://openoffice.org/2000/table"
				 xmlns:draw="http://openoffice.org/2000/drawing"
				 xmlns:fo="http://www.w3.org/1999/XSL/Format"
				 xmlns:xlink="http://www.w3.org/1999/xlink"
				 xmlns:dc="http://purl.org/dc/elements/1.1/"
				 xmlns:meta="http://openoffice.org/2000/meta"
				 xmlns:number="http://openoffice.org/2000/datastyle"
				 xmlns:svg="http://www.w3.org/2000/svg"
				 xmlns:chart="http://openoffice.org/2000/chart"
				 xmlns:help="http://openoffice.org/2000/help">


	<xsl:param name="Database" select="'swriter'"/>
	<xsl:param name="Language" select="'de'"/>

    <xsl:template match="help:*/@*|a/@*|comment()|processing-instruction()|text()|text:s|text:tab-stop">
		<xsl:copy>
                        <xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()|text:s|text:tab-stop"/>
		</xsl:copy>
	</xsl:template>

<!-- workaround not neccessary XSL:COPY also copies the hole namespaces
    <xsl:template match="help:*">
    	<xsl:variable name="helptag-name" select="concat('help__',substring-after(name(),'help:'))"/>
		<xsl:element name="{$helptag-name}">
			<xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
		</xsl:element>
	</xsl:template> -->

    <xsl:template match="help:*|a">
		<xsl:element name="{name()}">
			<xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
		</xsl:element>
	</xsl:template>

	<xsl:template match="dc:description">
		<xsl:element name="meta">
			<xsl:attribute name="name">filename</xsl:attribute>
			<xsl:attribute name="content">
				<xsl:value-of select="."/>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>

        <xsl:template match="dc:language">
		<xsl:element name="meta">
                        <xsl:attribute name="name">language</xsl:attribute>
			<xsl:attribute name="content">
				<xsl:value-of select="."/>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>


	<xsl:template match="dc:subject">
		<xsl:element name="title">
				<xsl:value-of select="."/>
		</xsl:element>
	</xsl:template>

        <xsl:template match="text:s">
                <xsl:element name="text:s">
                  <xsl:attribute name="text:c"><xsl:value-of select="@text:c"/></xsl:attribute>
                </xsl:element>
        </xsl:template>

        <xsl:template match="text:tab-stop">
                <xsl:element name="text:tab-stop"/>
        </xsl:template>


</xsl:stylesheet>
